import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/models/my_team/get_employee_subordinates_list.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';

class ProfileDetails extends StatefulWidget {
  const ProfileDetails({Key? key}) : super(key: key);

  @override
  _ProfileDetailsState createState() => _ProfileDetailsState();
}

class _ProfileDetailsState extends State<ProfileDetails> {
  GetEmployeeSubordinatesList? getEmployeeSubordinates;

  @override
  void initState() {
    super.initState();
  }

  Widget build(BuildContext context) {
    getEmployeeSubordinates ??= ModalRoute.of(context)?.settings.arguments as GetEmployeeSubordinatesList;
    return Scaffold(
        appBar: AppBarWidget(
          context,
          title: LocaleKeys.profileDetails.tr(),
        ),
        backgroundColor: MyColors.backgroundColor,
        body: ListView(
          padding: EdgeInsets.all(21),
          children: [
            Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
              LocaleKeys.category.tr().toText13(color: MyColors.lightGrayColor),
              "${getEmployeeSubordinates?.eMPLOYMENTCATEGORYMEANING}".toText16(color: MyColors.darkTextColor),
              23.height,
              LocaleKeys.address.tr().toText13(color: MyColors.lightGrayColor),
              "${getEmployeeSubordinates?.lOCATIONNAME}".toText16(color: MyColors.darkTextColor),
              23.height,
              LocaleKeys.phoneNumber.tr().toText13(color: MyColors.lightGrayColor),
              "${getEmployeeSubordinates?.eMPLOYEEMOBILENUMBER}".toText16(color: MyColors.darkTextColor),
              23.height,
              LocaleKeys.businessGroup.tr().toText13(color: MyColors.lightGrayColor),
              "${getEmployeeSubordinates?.bUSINESSGROUPNAME}".toText16(color: MyColors.darkTextColor),
              23.height,
              LocaleKeys.Payroll.tr().toText13(color: MyColors.lightGrayColor),
              "${getEmployeeSubordinates?.pAYROLLNAME}".toText16(color: MyColors.darkTextColor),
            ]).objectContainerView(),
          ],
        ));
  }
}
